org.eclipse.jdt.launching.sourcelookup.advanced

## Class AdvancedSourceLookup

- java.lang.Object
- - org.eclipse.jdt.launching.sourcelookup.advanced.AdvancedSourceLookup

    public class AdvancedSourceLookup
    extends Object

Static methods for implementing advanced source lookup.

Since:
  3.10

### Constructor Summary

Constructors
Constructor and Description
`AdvancedSourceLookup()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IPersistableSourceLocator` `createSourceLocator(String type, ILaunchConfiguration configuration)` Creates and returns new `IPersistableSourceLocator` of the specified type and with the provided configuration.
`static File` `getClassesLocation(Object fElement)` Returns filesystem classes location that corresponds to the given debug element, or `null` if the location cannot be determined.
`static Map<File,IPackageFragmentRoot>` `getClasspath(IJavaProject project)`
`static String` `getJavaagentString()` Returns `-javaagent` jvm launch argument.
`static Set<File>` `getOutputDirectories(IJavaProject project)`
`static boolean` `isSourceProject(IJavaProject project)` Returns `true` if the given project has sources folders, `false` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdvancedSourceLookup

    public AdvancedSourceLookup()

### Method Detail

#### isSourceProject

    public static boolean isSourceProject(IJavaProject project)
                                   throws JavaModelException

Returns `true` if the given project has sources folders, `false` otherwise.

Throws:
  `JavaModelException`

#### getClasspath

    public static Map<File,IPackageFragmentRoot> getClasspath(IJavaProject project)
                                                       throws JavaModelException

Throws:
  `JavaModelException`

#### getOutputDirectories

    public static Set<File> getOutputDirectories(IJavaProject project)
                                          throws JavaModelException

Throws:
  `JavaModelException`

#### getJavaagentString

    public static String getJavaagentString()

Returns `-javaagent` jvm launch argument.

#### getClassesLocation

    public static File getClassesLocation(Object fElement)
                                   throws DebugException

Returns filesystem classes location that corresponds to the given debug element, or `null` if the location cannot be determined.

Throws:
  `DebugException`

#### createSourceLocator

    public static IPersistableSourceLocator createSourceLocator(String type,
                                                                ILaunchConfiguration configuration)
                                                         throws CoreException

Creates and returns new `IPersistableSourceLocator` of the specified type and with the provided configuration.

Throws:
  `CoreException`